#include <popups/info.h>

#include <pland/syscall.h>

static const struct key_packet meminfo_quits[] = {
  { .key_id = KEY_ESCAPE, .modifiers = NO_MODS },
  { .key_id = KEY_F5,     .modifiers = NO_MODS },
  { .key_id = 0 }
};

void main() {
  struct popup p;
redo:
  info_popupf(&p,
    "kernel memory free: %uk\n"
    "userspace memory free: %uk / %uk\n"
    "Escape to quit, F5 to refresh.",
    (_pixel_t){.r = 0,    .g = 0,    .b = 0},
    (_pixel_t){.r = 0xbf, .g = 0xbf, .b = 0xbf},
    _kernel_dynamic_area_left() * 4,
    _total_userspace_left() * 4,
    _total_userspace_size() * 4
  );
  //hacky, i should really make info_popup take an arg
  p.quit_binds = meminfo_quits;
  make_modal(&p);
  if (p.quit_as.key_id == KEY_F5)
    //i should make popups have changable text
    //(make a new pixbuf but reuse the window)
    goto redo;
}